RTEMS: bsps/arm/lpc176x/start/io.c File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions
io.c File Reference
Board Support Packages » ARM » NXP LPC176X

Input/output module methods. More...

`#include <rtems/status-checks.h>`
`#include <bsp.h>`
`#include <bsp/io.h>`
`#include <bsp/start.h>`
`#include <bsp/system-clocks.h>`

## Functions
void | lpc176x_pin_select (const uint32_t pin, const lpc176x_pin_function function)
| Sets pin to the selected function.
void | lpc176x_pin_set_mode (const uint32_t pin, const lpc176x_pin_mode mode)
| Sets pin to the selected mode.
rtems_status_code | lpc176x_module_enable (const lpc176x_module module, lpc176x_module_clock clock)
| Enables the module power and clock.
rtems_status_code | lpc176x_module_disable (const lpc176x_module module)
| Checks if the current module is turned off and disables a module.
bool | lpc176x_module_is_enabled (const lpc176x_module module)
| Checks if the current module is enabled or not.

## Detailed Description

Input/output module methods.

## Function Documentation

## ◆ lpc176x_module_disable()

rtems_status_code lpc176x_module_disable | ( | lpc176x_module | module | ) |
| inline

Checks if the current module is turned off and disables a module.

Parameters

  module | Represents the module to be disabled.

Returns
  RTEMS_SUCCESFULL if the module was disabled succesfully.

## ◆ lpc176x_module_enable()

rtems_status_code lpc176x_module_enable | ( | lpc176x_module | module,
|  | lpc176x_module_clock | clock
| ) |  |
| inline

Enables the module power and clock.

Parameters

  module | Represents the module to be enabled.
  clock | Represents the clock to set for this module.

Returns
  RTEMS_SUCCESFULL if the module was enabled succesfully.

## ◆ lpc176x_module_is_enabled()

bool lpc176x_module_is_enabled | ( | lpc176x_module | module | ) |

Checks if the current module is enabled or not.

Parameters

  module | Represents the module to be checked.

Returns
  TRUE if the module is enabled. FALSE otherwise.

## ◆ lpc176x_pin_select()

void lpc176x_pin_select | ( | uint32_t | pin,
|  | lpc176x_pin_function | function
| ) |  |
| inline

Sets pin to the selected function.

Parameters

  pin | The pin to set.
  function | Defines the function to set.

## ◆ lpc176x_pin_set_mode()

void lpc176x_pin_set_mode | ( | const uint32_t | pin,
|  | const lpc176x_pin_mode | mode
| ) |  |

Sets pin to the selected mode.

Parameters

  pin | The pin to set.
  mode | Defines the mode to set.